## LassoSaml2SubjectConfirmationData LassoSaml2SubjectConfirmationData — <saml2:SubjectConfirmationData> |

## Functions

LassoNode * | lasso_saml2_subject_confirmation_data_new ()

## Types and Values

struct | LassoSaml2SubjectConfirmationData

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2SubjectConfirmationData

## Description

Figure 64. Schema fragment for saml2:SubjectConfirmationData

    <complexType name="SubjectConfirmationDataType" mixed="true">
      <complexContent>
        <restriction base="anyType">
          <sequence>
            <any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute name="NotBefore" type="dateTime" use="optional"/>
          <attribute name="NotOnOrAfter" type="dateTime" use="optional"/>
          <attribute name="Recipient" type="anyURI" use="optional"/>
          <attribute name="InResponseTo" type="NCName" use="optional"/>
          <attribute name="Address" type="string" use="optional"/>
          <anyAttribute namespace="##other" processContents="lax"/>
        </restriction>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_subject_confirmation_data_new ()

    LassoNode *
    lasso_saml2_subject_confirmation_data_new
                                   (void);

Creates a new LassoSaml2SubjectConfirmationData object.

#### Returns

a newly created LassoSaml2SubjectConfirmationData object

## Types and Values

### struct LassoSaml2SubjectConfirmationData

    struct LassoSaml2SubjectConfirmationData {
    	/* attributes */
    	char *NotBefore;
    	char *NotOnOrAfter;
    	char *Recipient;
    	char *InResponseTo;
    	char *Address;
    };